Summary:	AudioMove is a audio copy-and-conversion program. 
Summary(de):	AudioMove ist ein Audio Copy und Konvertierung-Programm.
Name:		AudioMove
Version:	1.20
Release:	%mkrel 2
License:	GPL
URL:		https://public.msli.com/lcs/audiomove/
Group:		Sound
Source0:	%{name}%{version}_Source.zip
Source1:	audiomove.png
BuildRoot:    	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
You just tell it what files to convert, what format to convert them to,
and where to put the output files, and it does it. 

#german
%description -l de
AudioMove konvertiert Audioformate, die in den meisten Fällen eher ein 
unscheinbares Dasein fristen.


%prep

%setup -q -n %{name}%{version}_Source
chmod 0755 build-audiomove.sh
%build
./build-audiomove.sh


%install

rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=AudioMove
Name[de]=AudioMove
Type=Application
Comment=AudioMove converts and copy audio
Comment[de]=AudioMove konventiert und kopiert Audio
Terminal=false
Exec=AudioMove
Icon=audiomove.png
Categories=Categories=Application;X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio
MimeType=application/ogg;audio/x-aiff;audio/x-wav;
GenericName=AudioMove
GenericName[de]=AudioMove
Encoding=UTF-8
X-Desktop-File-Install-Version=1.20
EOF

mkdir -p %{buildroot}%{_iconsdir}
install -m 644 %{SOURCE1} %{buildroot}%{_iconsdir}/audiomove.png

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_iconsdir}/audiomove.png
%{_datadir}/applications/%{name}.desktop
%doc INSTALL README.TXT 

%changelog
* Tue Oct 04 2011 Archie <pclinuxos.ph at gmail.com> 1.20-2pclos2011
- Rebuild for x86_64

* Tue Dec 08 2009 Leiche <MeissSW01@aol.com> 1.20-1pclos2010
- build for PCLinuxOS
